Skip to main content
GET
/
api
/
research
/
playlists
cURL
curl --request GET \
  --url https://api.recoupable.com/api/research/playlists
{
  "status": "success",
  "placements": [
    {
      "playlist_name": "<string>",
      "track_name": "<string>",
      "position": 123,
      "peak_position": 123,
      "followers": 123,
      "added_at": "<string>",
      "removed_at": "<string>",
      "curator_name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.recoupable.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

artist
string
required

Artist name or Recoup artist ID (UUID).

platform
enum<string>
default:spotify
Available options:
spotify,
applemusic,
deezer,
amazon,
youtube
status
enum<string>
default:current
Available options:
current,
past
editorial
boolean

Only editorial playlists.

since
string<date>

Filter by date (YYYY-MM-DD).

sort
string

Sort results by this field.

limit
integer
default:20
indie
boolean

Include indie playlists.

majorCurator
boolean

Include major-curator playlists.

Include popular indie playlists.

personalized
boolean

Include personalized playlists.

chart
boolean

Include chart playlists.

Response

Playlist placements

status
enum<string>
Available options:
success,
error
Example:

"success"

placements
object[]